Ключевое слово в защите информации
КЛЮЧЕВОЕ СЛОВО
в защите информации
Получить ГОСТ TLS-сертификат для домена (SSL-сертификат)
Добро пожаловать, Гость! Чтобы использовать все возможности Вход или Регистрация.

Уведомление

Icon
Error

3 Страницы123>
Опции
К последнему сообщению К первому непрочитанному
Offline NSGrid  
#1 Оставлено : 3 декабря 2020 г. 19:57:36(UTC)
NSGrid

Статус: Участник

Группы: Участники
Зарегистрирован: 02.09.2015(UTC)
Сообщений: 19
Российская Федерация

Сказал(а) «Спасибо»: 1 раз
Поблагодарили: 1 раз в 1 постах
У меня проблема, никак не могу установить плагин для работы с электронной подписью (ЭЦП) в браузере Mozilla Firefox 83.0 (х64).

Причем там есть несколько моментов:

1. На странице скачивания плагинов https://ds-plugin.gosusl.../plugin/upload/Index.spr указано, что на данный момент доступная версия плагина - это 3.1.1.0. Однако после скачивания файла по адресу https://ds-plugin.gosusl...istrib/IFCPlugin-x64.msi в окне установки указано, что версия плагина 3.1.0.0 (см. скриншот №1 во вложении), так какая версия верная, почему не соответствуют версии на сайте и версии в окне установки приложения?
2. Где скачать расширение для плагина Госуслуг для браузера Firefox? Ссылка, что указана на опять-таки той же странице для скачивания плагинов ведет на некий адрес расширений браузера Firefox - https://addons.mozilla.org/ru/firefox/extensions/, но конкретных ссылок на плагин там нет, пробовал поискать по названия типа "Госуслуги" или "Электронное правительство" - не находит. Кто-нибудь может сказать, где взять прямую ссылку на расширение Firefox для портала Госуслуг (обычно это идет файл форматом *.xpi) (см. скриншоты № 2 и 3 во вложении)
3. Также при попытке обновления плагина с версии 3.0.7.0 произошел какой-то сбой и теперь инсталлятор, даже после удаления плагина через "Установку/удаление программ" все равно просит некий дистрибутив версии 3.0.7.0 Причем это происходит и при попытке установки более новой версии из п. 1 этого письма. В результате, как я предполагаю, плагин не ставится корректно, и при попытке авторизоваться на сайте Госуслуг через ЭЦП - не работает, пишет, что он как будто не установлен. Каким образом можно удалить старые хвосты плагина, почему не могу поставить нормально плагин из п. 1? (см. скриншоты № 4 и 5 во вложении). Папку C:\Users\Admin\AppData\Roaming\Rostelecom удалял - не помогает.

Gosuslugi-1.jpg (327kb) загружен 2 раз(а). Gosuslugi-2.jpg (310kb) загружен 1 раз(а). Gosuslugi-3.jpg (376kb) загружен 1 раз(а). Gosuslugi-4.jpg (371kb) загружен 1 раз(а). Gosuslugi-5.jpg (346kb) загружен 1 раз(а).

P. S. Поддержка портала Госуслуг ужасна, во-первых, убрали нормальную поддержку по эл. почте, где можно было бы спокойно по пунктам все описать, приложив скриншоты, а во-вторых сделали, ужаснейший интерфейс какого-то чата в углу экрана, с малюсеньким полем, где вообще сложно что-либо писать, которое еще и периодически недоступно, мол "все операторы заняты", даже в чате у них такой бред происходит, и отвечают там какие-то боты, которые советуют сделать примитивные действия как "по методичке", поэтому очень надюсь, что здесь более знающие люди куда быстрее подскажут решение.

Отредактировано пользователем 3 декабря 2020 г. 20:04:27(UTC)  | Причина: Не указана

Offline nickm  
#2 Оставлено : 3 декабря 2020 г. 20:41:06(UTC)
nickm

Статус: Активный участник

Группы: Участники
Зарегистрирован: 31.05.2016(UTC)
Сообщений: 225

Сказал(а) «Спасибо»: 71 раз
Поблагодарили: 44 раз в 41 постах
1. Не парьтесь;

2. Там же, где скачивали плагин:

https://i.imgur.com/yXoGOE2.png
3. Общие рекомендации по плагину гос.услуг такие - не обновлять, а удалять предыдущую версию и устанавливать новую, как вариант можно воспользоваться спец.программами - ан-исталлерами, например, Я, в некоторых случаях прибегаю к "Geek Uninstaller";

4. Зачастую, при работе с государственными или прочими ИС может оказаться удобней/ подручней использовать "Chromium с поддержкой ГОСТ" от разработчиков КриптоПро CSP.

Отредактировано пользователем 3 декабря 2020 г. 20:43:46(UTC)  | Причина: Не указана

Offline NSGrid  
#3 Оставлено : 3 декабря 2020 г. 20:58:42(UTC)
NSGrid

Статус: Участник

Группы: Участники
Зарегистрирован: 02.09.2015(UTC)
Сообщений: 19
Российская Федерация

Сказал(а) «Спасибо»: 1 раз
Поблагодарили: 1 раз в 1 постах
Автор: nickm Перейти к цитате
Там же, где скачивали плагин:

Так вы сами-то по этой ссылке переходили? Она ведет просто на некий адрес расширений браузера Firefox - https://addons.mozilla.org/ru/firefox/extensions/

А у вас случайно не сохранился плагин версии 3.0.7.0?

Offline NSGrid  
#4 Оставлено : 3 декабря 2020 г. 21:00:38(UTC)
NSGrid

Статус: Участник

Группы: Участники
Зарегистрирован: 02.09.2015(UTC)
Сообщений: 19
Российская Федерация

Сказал(а) «Спасибо»: 1 раз
Поблагодарили: 1 раз в 1 постах
Автор: nickm Перейти к цитате
не обновлять, а удалять предыдущую версию и устанавливать новую

ну вот, к сожалению, у меня уже такой вариант не подходит, мне придется как-то подчищать хвосты, так как и удаление Папку C:\Users\Admin\AppData\Roaming\Rostelecom не помогает
Offline nickm  
#5 Оставлено : 3 декабря 2020 г. 21:56:19(UTC)
nickm

Статус: Активный участник

Группы: Участники
Зарегистрирован: 31.05.2016(UTC)
Сообщений: 225

Сказал(а) «Спасибо»: 71 раз
Поблагодарили: 44 раз в 41 постах
Автор: NSGrid Перейти к цитате
Автор: nickm Перейти к цитате
Там же, где скачивали плагин:

Так вы сами-то по этой ссылке переходили? Она ведет просто на некий адрес расширений браузера Firefox -


Нет, на данный момент не пользуюсь указанным Вами браузером, ранее ссылка вроде как работала, хотя...

И да, разве сам инсталлер в Себе расширение не несет?

Под Linux после установки так:

UserPostedImage

Да и, уверен, что и под windows он тоже там есть...

Цитата:
Содержимое папки ..\IFCPlugin-x64

03.12.2020 23:53 <DIR> ..
..
20.11.2019 04:49 18 456 firefoxEXTENTION
..







Offline nickm  
#6 Оставлено : 3 декабря 2020 г. 22:07:34(UTC)
nickm

Статус: Активный участник

Группы: Участники
Зарегистрирован: 31.05.2016(UTC)
Сообщений: 225

Сказал(а) «Спасибо»: 71 раз
Поблагодарили: 44 раз в 41 постах
Автор: NSGrid Перейти к цитате
А у вас случайно не сохранился плагин версии 3.0.7.0?


Для чего он Вам нужен?
Для зачистки реестра?

Offline two_oceans  
#7 Оставлено : 4 декабря 2020 г. 12:24:33(UTC)
two_oceans

Статус: Эксперт

Группы: Участники
Зарегистрирован: 05.03.2015(UTC)
Сообщений: 1,351
Российская Федерация
Откуда: Иркутская область

Сказал(а) «Спасибо»: 90 раз
Поблагодарили: 318 раз в 300 постах
Автор: NSGrid Перейти к цитате
А у вас случайно не сохранился плагин версии 3.0.7.0?
У меня есть 3.0.7 (без админских прав, админского 3.0.7 не было), но сохранился только для x64. Еще есть полный набор (админское и без админских, 32 и 64-разрядные) версии 3.0.6. Более старые 3.0.0-3.0.3 - сам искал, но ничего хорошего не нашел (эти версии теоретически работают с гост-2012 и старыми браузерами).
https://yadi.sk/d/VS6UgKNh_JPu1g (3.0.7 64)

Расширение действительно есть в папке плагина, для установки можно перетащить. В каталоге расширений можно поискать по названию "Расширение для плагина Госуслуг". Либо перезапустить браузер и посмотреть в отключенных расширениях (новые версии браузеров отключают расширения с завидным упорством).

Установщик там очень простой, я почти уверен, что если удалили папку, то достаточно убрать пункт в списке установленных программ. Прописывание расширения, плагина и т.д. в браузер не должно влиять на определение прошлой версии. У меня версия 3.0.6 x64 зарегистрирована здесь:
Код:
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{1F551C79-CA8E-4C24-A7EA-4FBBBF7DCE73}

Отредактировано пользователем 4 декабря 2020 г. 12:34:05(UTC)  | Причина: Не указана

thanks 1 пользователь поблагодарил two_oceans за этот пост.
NSGrid оставлено 04.12.2020(UTC)
Offline nikolkas_spb  
#8 Оставлено : 4 декабря 2020 г. 17:02:06(UTC)
nikolkas_spb

Статус: Активный участник

Группы: Участники
Зарегистрирован: 31.01.2017(UTC)
Сообщений: 219
Российская Федерация
Откуда: Санкт-Петербург

Сказал(а) «Спасибо»: 11 раз
Поблагодарили: 41 раз в 40 постах
По последнему опыту, надо четко проверять ВСЕ обновления Windows, настройки антивируса и использовать браузер Спутник.
При этом Спутник - почти всегда обязательно, особенно на гос.закупках и т.п.
Цена свободы - вечная бдительность!
Offline NSGrid  
#9 Оставлено : 4 декабря 2020 г. 20:45:05(UTC)
NSGrid

Статус: Участник

Группы: Участники
Зарегистрирован: 02.09.2015(UTC)
Сообщений: 19
Российская Федерация

Сказал(а) «Спасибо»: 1 раз
Поблагодарили: 1 раз в 1 постах
Большое всем спасибо, проблему решил!Angel

Отвечаю всем по порядку.

Автор: nickm Перейти к цитате

Нет, на данный момент не пользуюсь указанным Вами браузером, ранее ссылка вроде как работала, хотя...

И да, разве сам инсталлер в Себе расширение не несет?

Под Linux после установки так:

UserPostedImage

Да и, уверен, что и под windows он тоже там есть...

Цитата:
Содержимое папки ..\IFCPlugin-x64

03.12.2020 23:53 <DIR> ..
..
20.11.2019 04:49 18 456 firefoxEXTENTION
..


Дело в том, что под Винду в Firefox с некоторой определенной версии (точно уже не помню, где-то с десяток назад), по соображениям безопасности с точки зрения разработчика этого бразуера (на мой взгляд, излишней) полностью отрублена возможность установки расширений браузера xpi посредством различных сторонних инстялляторов, которые ставят такие плагины в нагрузку к основной инсталляции. Теперь все расширения можно поставить либо через официальный каталог расширений Firefox, либо перетащив xpi файл руками в окно браузера и подтвердив установку.

И, действительно, по пути C:\Users\Admin\AppData\Roaming\Rostelecom\IFCPlugin\3.1.0.0\x32 я нашел файл firefoxExtention.xpi. Странно, кстати, я-то искал его в соседней папке x64, ведь и браузер x64 и плагин называется IFCPlugin-x64.msi, а оказалось, что надо искать в папке x32.

Кстати, еще одно "фи" техподдержке они мне, прикиньте, в чате поддержки дали ссылку на плагин, который, как оказалось, не имеет никакого отношения к плагину Госуслуг - https://addons.mozilla.o...refox/addon/iscc-plugin/ (КриптоГОСТ.Плагин от ru.infosysco). Конечно, даже после корректной переустановки IFCPlugin-x64.msi сайт Госуслуги ЭЦПшки не увидел, сказав, что плагин не установлен, и только после вытаскивания firefoxExtention.xpi из папки, что описано ранее, все заработало. И название плагина соответственно, верное - "Плагин электронного правительства" с триколором.

Автор: nickm Перейти к цитате
Автор: NSGrid Перейти к цитате
А у вас случайно не сохранился плагин версии 3.0.7.0?


Для чего он Вам нужен?
Для зачистки реестра?



Дело в том, что из-за какого-то сбоя msi-инстяллятор даже последней версии в процессе установки просит открыть инсталлятор именно версии 3.0.7.0. (см. скриншот №4 в пером посте этой темы, где видно, что он там ругается). Очевидно, что можно полностью где-то подчистить реестр и убрать все хвосты и получится как с нуля. Кстати, возможно стоит, использовать проги типа Ahampoo uninstaller, который полностью отслеживают все изменения в реестре, сделанные прогами, в том числе и после инстала, так, если что можно оперативно откатить изменения.
Но вопрос решился быстрее, спасибо юзеру two_oceans, так как благодаря его более старому инсталлятору я еще раз корректно установил версию 3.0.7.0, а затем ее также корректно снес, и уже поставил новую.

Вообще, конечно, странно, почему так криво у разработчиков плагина Госуслуг сделаны эти msi инстялляторы, новая версия сама просто не проверяет предыдущие установки и не подчищает их, так как, очевидно, при нормальной пряморукости реализации, все это можно сделать. А у них при каком-то сбое еще и установка как бы "запирается" на старой версии, которую эти ребята не выкладывают на сайте, а все затирают новыми версиями, если уж у них такие глюки, так оставляли бы все версии в специальном разделе на случай сбоя у пользователей.

Автор: two_oceans Перейти к цитате
Автор: NSGrid Перейти к цитате

Установщик там очень простой, я почти уверен, что если удалили папку, то достаточно убрать пункт в списке установленных программ. Прописывание расширения, плагина и т.д. в браузер не должно влиять на определение прошлой версии. У меня версия 3.0.6 x64 зарегистрирована здесь:
Код:
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{1F551C79-CA8E-4C24-A7EA-4FBBBF7DCE73}

Похоже, что нет, я, кстати пробовал через реестр отсюда удалять из установки/удаления пунктик, но это совсем не помогло, msi инсталлер продолжал требовать версию 3.0.7.0

Отредактировано пользователем 4 декабря 2020 г. 20:54:58(UTC)  | Причина: Не указана

Offline NSGrid  
#10 Оставлено : 4 декабря 2020 г. 21:04:41(UTC)
NSGrid

Статус: Участник

Группы: Участники
Зарегистрирован: 02.09.2015(UTC)
Сообщений: 19
Российская Федерация

Сказал(а) «Спасибо»: 1 раз
Поблагодарили: 1 раз в 1 постах
Автор: NSGrid Перейти к цитате
P. S. Поддержка портала Госуслуг ужасна, во-первых, убрали нормальную поддержку по эл. почте, где можно было бы спокойно по пунктам все описать, приложив скриншоты, а во-вторых сделали, ужаснейший интерфейс какого-то чата в углу экрана, с малюсеньким полем, где вообще сложно что-либо писать, которое еще и периодически недоступно, мол "все операторы заняты", даже в чате у них такой бред происходит, и отвечают там какие-то боты, которые советуют сделать примитивные действия как "по методичке", поэтому очень надеюсь, что здесь более знающие люди куда быстрее подскажут решение.

Еще небольшое уточнение, у них все-таки после издевательски маленького окошка их чата, если наехать на этих ботов, что их советы в стиле "убедитесь, что вы вставили вилку в розетку" бесполезны, они все таки открывают возможность поддержки по электронной почте. Говоришь им свою почту либо они могут взять из профиля в Госулугах, они открывают специальный тикет, и только тогда можно уже будет писать на адрес support@gosuslugi.ru уже более подробно с приложением скриншотов, но скорость реакции как и всегда бывает в крупных компаниях:
типа
Цитата:
Запрос зарегистрирован под номером INC000012521866.
В зависимости от сложности срок решения может составить до нескольких дней.
и сидите ждите, вот уже второй день. Хорошо, что уже решилось благодаря форуму.Angel

Offline two_oceans  
#11 Оставлено : 5 декабря 2020 г. 10:00:04(UTC)
two_oceans

Статус: Эксперт

Группы: Участники
Зарегистрирован: 05.03.2015(UTC)
Сообщений: 1,351
Российская Федерация
Откуда: Иркутская область

Сказал(а) «Спасибо»: 90 раз
Поблагодарили: 318 раз в 300 постах
Автор: NSGrid Перейти к цитате
Вообще, конечно, странно, почему так криво у разработчиков плагина Госуслуг сделаны эти msi инстялляторы, новая версия сама просто не проверяет предыдущие установки и не подчищает их, так как, очевидно, при нормальной пряморукости реализации, все это можно сделать.
Прошлая версия все же проверяется, но я же говорю там очень простой инсталлятор - вместо прямого указания, что очистить в прошлой версии (секции очистки пустые) делается попытка вызвать штатный механизм от Microsoft - удаление предыдущим msi пакетом в кэше Installer. В общем случае это работает - msi в кэше находится, все корректно удаляется и не раздувает объем установщика очисткой миллиона старых версий. Однако когда пользователь вызывает какую-нибудь "чистилку компьютера" или на диске мало места и автовызывается системная "чистилка", то кэш Installer может быть нарушен и делается попытка найти msi в исходной папке - часто в Загрузках или на флешке, где файл тоже давно удалили. Вот и не понятно кого винить - пользователя вызвавшего очистку кэша Installer из-за десятка мегабайт, открывающего msi прямо из загрузок или разработчиков msi + Microsoft, полагающихся на кэш Installer и неизменность положения msi.
Цитата:
Теперь все расширения можно поставить либо через официальный каталог расширений Firefox, либо перетащив xpi файл руками в окно браузера и подтвердив установку.
На каких-то версиях вверху меню появляется уведомление о новых расширениях и их можно включить тыкнув по уведомлению. Сейчас я остановился на 60.9.0 esr, где есть возможность отрубить как автообновление, так и излишнюю бдительность к расширениям.
К слову, возможно КриптоПро поделятся опытом как поменять канал обновлений Firefox на свой, чтобы кардинально решить проблему? Пробовал стирать или вносить свои адреса обновлений в about:config, но Firefox где-то достает правильные адреса и исправляет обратно.

Отредактировано пользователем 5 декабря 2020 г. 10:01:54(UTC)  | Причина: Не указана

Offline NSGrid  
#12 Оставлено : 7 декабря 2020 г. 18:13:10(UTC)
NSGrid

Статус: Участник

Группы: Участники
Зарегистрирован: 02.09.2015(UTC)
Сообщений: 19
Российская Федерация

Сказал(а) «Спасибо»: 1 раз
Поблагодарили: 1 раз в 1 постах
Автор: two_oceans Перейти к цитате
Однако когда пользователь вызывает какую-нибудь "чистилку компьютера" или на диске мало места и автовызывается системная "чистилка", то кэш Installer может быть нарушен и делается попытка найти msi в исходной папке - часто в Загрузках или на флешке, где файл тоже давно удалили.

Вот тут, как раз загадка, никаких чистилок не установлено и никаких "оптимизаторов реестра" не было, места на диске тоже полно, поэтому тут ХЗ, что могло вызвать причину того, что он вдруг стал требовать указать путь к старой версии.
Offline NSGrid  
#13 Оставлено : 10 декабря 2020 г. 15:10:24(UTC)
NSGrid

Статус: Участник

Группы: Участники
Зарегистрирован: 02.09.2015(UTC)
Сообщений: 19
Российская Федерация

Сказал(а) «Спасибо»: 1 раз
Поблагодарили: 1 раз в 1 постах
А поддержка Госуслуг продолжает доставлять)), когда я уже со всем разобрался, они вдруг проснулись и мне на эл. почту пришел от них ответ, думаете, они тоже до этого додумались, что у нас тут в теме обсуждалось? Нет! Они мне сказали, что плагин для Firefox просто не поддерживается, и пользуйтесь другими браузерами, а поводу удаления прошлых версий вообще более ничего не написали (помимо совета в чате удалить C:\Users\%USERNAME%\AppData\Roaming\Rostelecom\IFCPlugin\, что мне не помогло), это для них, видимо, вообще какой-то космос.d'oh! Applause Brick wall

Отредактировано пользователем 10 декабря 2020 г. 19:04:09(UTC)  | Причина: Не указана

Offline barmalei54  
#14 Оставлено : 10 декабря 2020 г. 17:47:00(UTC)
barmalei54

Статус: Новичок

Группы: Участники
Зарегистрирован: 10.12.2020(UTC)
Сообщений: 2
Российская Федерация

Как установить плагин госуслуг в Mozilla Firefox.
На данный момент самая свежая версия браузера 83. Если установлена, удаляем с очисткой. Mozilla Firefox отключила поддержку NPAPI (англ. Netscape Plugin Application Programming Interface) начиная с 52 версии. Поэтому с некоторыми плагинами получается не совместимость. Скачиваем браузер версию 51.0.1 (ниже 52, но не ниже 50, там тоже какие-то заморочки и может не обновится до актуальной). Отключаем интернет, что бы браузер сразу после установки не полез за обновлением. Ставим версия 51.0.1. Заходим в дополнения и смотрим расширения. Если нет плагина госуслуг, переустанавливаем. Если он есть или появился после переустановки, то скорее всего браузер не может прочитать подпись дополнения, либо ее нет.
Firefox версий Extended Support Release (ESR), Developer Edition и Nightly позволят вам обойти требование подписи дополнений, если вы измените параметр xpinstall.signatures.required на false в редакторе конфигурации Firefox (страница about:config).
Включаем плагин и смотрим – есть ли и включен плагин КриптоПро ЭЦП Browser plug-in. Если его нет – переустанавливаем, опять, нет – включаем интернет и перезапускаем браузер. Браузер, не спрашивая нас лезет в интернет, и обновляется. Плагин Крипто Про ЭЦП Browser plug-in должен появится, остается включить, если не включен.
ЕЩЕ.
Можно найти эти плагины в виде файлов с расширением xpi, и в браузере через «Открыть файл», установить, но плагина госуслуг не нашел!
Offline barmalei54  
#15 Оставлено : 10 декабря 2020 г. 17:57:30(UTC)
barmalei54

Статус: Новичок

Группы: Участники
Зарегистрирован: 10.12.2020(UTC)
Сообщений: 2
Российская Федерация

Как установить плагин госуслуг в Mozilla Firefox.
На данный момент самая свежая версия браузера 83. Если установлена, удаляем с очисткой. Mozilla Firefox отключила поддержку NPAPI (англ. Netscape Plugin Application Programming Interface) начиная с 52 версии. Поэтому с некоторыми плагинами получается не совместимость. Скачиваем браузер версию 51.0.1 (ниже 52, но не ниже 50, там тоже какие-то заморочки и может не обновится до актуальной). Отключаем интернет, что бы браузер сразу после установки не полез за обновлением. Ставим версия 51.0.1. Заходим в дополнения и смотрим расширения. Если нет плагина госуслуг, переустанавливаем плагин. Если он есть или появился после переустановки, то скорее всего браузер не может прочитать подпись дополнения, либо ее нет.
Firefox версий Extended Support Release (ESR), Developer Edition и Nightly позволят вам обойти требование подписи дополнений, если вы измените параметр xpinstall.signatures.required на false в редакторе конфигурации Firefox (страница about:config).
Включаем плагин и смотрим – есть ли и включен плагин КриптоПро ЭЦП Browser plug-in. Если его нет – переустанавливаем, опять, нет – включаем интернет и перезапускаем браузер. Браузер, не спрашивая нас лезет в интернет, и обновляется. Плагин Крипто Про ЭЦП Browser plug-in должен появится, остается включить, если не включен.
ЕЩЕ.
Можно найти эти плагины в виде файлов с расширением xpi, и в браузере через «Открыть файл», установить, но плагина госуслуг не нашел!
Offline NSGrid  
#16 Оставлено : 10 декабря 2020 г. 19:16:28(UTC)
NSGrid

Статус: Участник

Группы: Участники
Зарегистрирован: 02.09.2015(UTC)
Сообщений: 19
Российская Федерация

Сказал(а) «Спасибо»: 1 раз
Поблагодарили: 1 раз в 1 постах
barmalei54
По-моему, вы как-то слишком все тут усложнили. Уже ведь есть куда более простое решение в этой теме.

Допустим, у вас установлена последняя версия браузера Firefox и вы ничего не хотите сносить, ставить разные ESR-версии и т. д.

Скачиваете с сайта Госуслуг плагин IFCPlugin-x64.msi, ставите как обычно. Затем открываете путь:
C:\Users\%USERNAME%\AppData\Roaming\Rostelecom\IFCPlugin\3.1.0.0\x32 (прим.: вам нужна папка именно x32, независимо от того, что вы ставите файл в названии которого содержится x64)

Находите там файл firefoxExtention.xpi, берете и перетаскиваете его в окно браузера Firefox, он определит, что это расширение и попросит подтвердить его установку, подтверждаете и все, у вас в списке расширений стоит плагин, который называется "Расширение для плагина Госуслуг" с логотипом в виде российского флага. Готово!

Теперь портал Госуслуг должен будет определять наличие у вас установленных ЭЦП в системе (при условии установленного у вас прочего софта для работы с ЭЦП, криптопровайдера, сертификатов и т. д.) и появится возможность входить в личный кабинет по ЭЦП (если вы эту опцию включали в настройках своего профиля на Госуслугах). Angel

Отредактировано пользователем 11 декабря 2020 г. 12:44:14(UTC)  | Причина: Не указана

thanks 1 пользователь поблагодарил NSGrid за этот пост.
Александр Лавник оставлено 10.12.2020(UTC)
Offline two_oceans  
#17 Оставлено : 11 декабря 2020 г. 13:08:15(UTC)
two_oceans

Статус: Эксперт

Группы: Участники
Зарегистрирован: 05.03.2015(UTC)
Сообщений: 1,351
Российская Федерация
Откуда: Иркутская область

Сказал(а) «Спасибо»: 90 раз
Поблагодарили: 318 раз в 300 постах
Автор: barmalei54 Перейти к цитате
Скачиваем браузер версию 51.0.1 (ниже 52, но не ниже 50, там тоже какие-то заморочки и может не обновится до актуальной).
Суть в том, что текущие версии плагина госуслуг (3.0.6 и выше) несовместимы со старыми версиями браузера (без npapi файла и формат xpi меняется регулярно), хоть запереустанавливайся - файла np*.dll насколько помню вообще в принципе нет в msi (ifcplugin.dll за него не катит и браузер крашится на старте, если насильно запихать запись о таком "плагине" в реестр). Те что совместимы (2.0.6), к сожалению, не работают с гост-2012. Обе возможности предположительно были вместе только в версиях 3.0.0-3.0.3, которых днем с огнем не сыщешь. Поэтому браузер в итоге все равно обновится (обновление же не отключали!), npapi снова отпадет и все эти движения будут излишни. Вот если есть версии 3.0.0-3.0.3 будет замечательно если поделитесь.
Цитата:
ставить разные ESR-версии
К сожалению, перетаскивание не всегда работает и причина может быть именно в разном формате расширения xpi при котором подпись не сходится. На обычной версии в таком случае можно тысячу раз перетаскивать расширение, но будет зудеть что расширение возможно повреждено и выключать. На ESR можно это подавить и установить расширение от старой версии плагина. Понятно, что когда используете самую новую версию плагина ошибки скорее всего не будет.

Отредактировано пользователем 11 декабря 2020 г. 13:16:38(UTC)  | Причина: Не указана

Offline Александр Лавник  
#18 Оставлено : 11 декабря 2020 г. 13:25:07(UTC)
Александр Лавник

Статус: Сотрудник

Группы: Участники
Зарегистрирован: 30.06.2016(UTC)
Сообщений: 2,652
Мужчина
Российская Федерация

Сказал «Спасибо»: 44 раз
Поблагодарили: 597 раз в 563 постах
Автор: two_oceans Перейти к цитате
Автор: barmalei54 Перейти к цитате
Скачиваем браузер версию 51.0.1 (ниже 52, но не ниже 50, там тоже какие-то заморочки и может не обновится до актуальной).
Суть в том, что текущие версии плагина госуслуг (3.0.6 и выше) несовместимы со старыми версиями браузера (без npapi файла и формат xpi меняется регулярно), хоть запереустанавливайся - файла np*.dll насколько помню вообще в принципе нет в msi (ifcplugin.dll за него не катит и браузер крашится на старте, если насильно запихать запись о таком "плагине" в реестр). Те что совместимы (2.0.6), к сожалению, не работают с гост-2012. Обе возможности предположительно были вместе только в версиях 3.0.0-3.0.3, которых днем с огнем не сыщешь. Поэтому браузер в итоге все равно обновится (обновление же не отключали!), npapi снова отпадет и все эти движения будут излишни. Вот если есть версии 3.0.0-3.0.3 будет замечательно если поделитесь.

Здравствуйте.

В Firefox 83.0 (последняя на данный момент версия) проверена корректность входа на портал Госуслуг с последней версией плагина на:

  • Windows 10 20H2 x64

  • macOS 10.13.6

  • Debian 10 x64

Поэтому, думаю, нет никакого смысла использования старых версий плагина и Firefox для входа на портал Госуслуг.
Техническую поддержку оказываем тут
Наша база знаний
Offline sa@hitsec.ru  
#19 Оставлено : 1 февраля 2021 г. 16:06:54(UTC)
sa@hitsec.ru

Статус: Новичок

Группы: Участники
Зарегистрирован: 08.08.2013(UTC)
Сообщений: 2
Откуда: Moscow

Автор: Александр Лавник Перейти к цитате

Поэтому, думаю, нет никакого смысла использования старых версий плагина и Firefox для входа на портал Госуслуг.


А где новый-то взять?!

Два дня убил на танцы с бубном - не выходит каменный цветок: плагин просто не желает устанавливаться.

Конфигурация: Win 10 Pro x64, CryptoPro, FireFox 85.0 (64-битный)
Offline Александр Лавник  
#20 Оставлено : 1 февраля 2021 г. 16:45:29(UTC)
Александр Лавник

Статус: Сотрудник

Группы: Участники
Зарегистрирован: 30.06.2016(UTC)
Сообщений: 2,652
Мужчина
Российская Федерация

Сказал «Спасибо»: 44 раз
Поблагодарили: 597 раз в 563 постах
Автор: sa@hitsec.ru Перейти к цитате
Автор: Александр Лавник Перейти к цитате

Поэтому, думаю, нет никакого смысла использования старых версий плагина и Firefox для входа на портал Госуслуг.


А где новый-то взять?!

Два дня убил на танцы с бубном - не выходит каменный цветок: плагин просто не желает устанавливаться.

Конфигурация: Win 10 Pro x64, CryptoPro, FireFox 85.0 (64-битный)

Здравствуйте.

Расширение для плагина Госуслуг для Mozilla Firefox доступно по ссылке (установить можно открытием ссылки в Firefox или перетаскиванием файла расширения в окно Firefox).

Сам плагин для портала Госуслуг можно скачать здесь.
Техническую поддержку оказываем тут
Наша база знаний
RSS Лента  Atom Лента
Пользователи, просматривающие эту тему
Guest (3)
3 Страницы123>
Быстрый переход  
Вы не можете создавать новые темы в этом форуме.
Вы не можете отвечать в этом форуме.
Вы не можете удалять Ваши сообщения в этом форуме.
Вы не можете редактировать Ваши сообщения в этом форуме.
Вы не можете создавать опросы в этом форуме.
Вы не можете голосовать в этом форуме.